using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("Athlete")]
public class AthleteEntity
{
    // ! donner plus de contraintes !!
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int IdAthlete { get; set; }
    [Required]
    [MaxLength(100)]
    public required string Username { get; set; }
    [MaxLength(100)]
    public required string LastName { get; set; }
    [MaxLength(150)]
    public required string FirstName { get; set; }
    public required string Email { get; set; }
    public required string Sexe { get; set; }
    public float Lenght { get; set; }
    public float Weight { get; set; }
    public required string Password { get; set; }
    public DateTime DateOfBirth { get; set; }
    public bool IsCoach { get; set; }
}