using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("Notification")]
public class NotificationEntity
{
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int IdNotif { get; set; }
    public required string Message { get; set; }
    public DateTime Date { get; set; }
    public required bool Statut { get; set; }
    public required string Urgence { get; set; }
}