using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("Statistic")]
public class StatisticEntity
{
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int IdStatistic { get; set; }
    public float Weight { get; set; }
    public double AverageHeartRate { get; set; }
    public double MaximumHeartRate { get; set; }
    public double AverageCaloriesBurned { get; set; }
    public DateTime Date { get; set; }
}